package com.enjoy.shiyi.controller;

import com.enjoy.shiyi.annaotaion.EnjoyAutowired;
import com.enjoy.shiyi.annaotaion.EnjoyController;
import com.enjoy.shiyi.annaotaion.EnjoyRequestMapping;
import com.enjoy.shiyi.annaotaion.EnjoyRequestParm;
import com.enjoy.shiyi.service.ShiyiService;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * @ClassName : shiyiController控制层
 * @Description :
 * @Author : YHY
 * @Date: 2023-10-28 19:47
 */
@EnjoyController
@EnjoyRequestMapping("/shiyi")
public class ShiyiController {
    @EnjoyAutowired("ShiyiServiceImpl")
    private ShiyiService shiyiService;

    public void query(HttpServletRequest request, HttpServletResponse response, @EnjoyRequestParm("name") String name,
                      @EnjoyRequestParm("age") String age){
        try {
            PrintWriter pw = response.getWriter();
            String resule = shiyiService.query(name,age);
            pw.write(resule);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
